<?php
/**
 * @package    Joomla.Site
 * @subpackage Modules JMG EventOn Top Events
 * @link http://joomega.com
 * @copyright   Copyright (C) 2020 - 2027 Open Source Matters, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */
 
// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

$doc  = JFactory::getDocument();
$doc->addStyleSheet(Juri::base() . 'modules/mod_jmgeventon_top_events/assets/css/mod_jmgeventon_top_events_block.css');
$style = '.jmg-events-body .image{'
	. 'height: '.$height.'px;'
	. '}'; 
$doc->addStyleDeclaration($style);
?>
<div class="jmg-events-body">
<div class="row-fluid">
<?php $counter = 0; ?>
<?php foreach ($list as $i => $item) : ?>
	<div class="span<?php echo 12 / $cols; ?>">
		<div class="image">
			<a href="<?php //echo JRoute::_(JmgEventOnHelperRoute::getEventRoute($item->id,$item->catid,0)); ?>">
			<img src="<?php echo ($item->image)? JURI::root().$item->image : $placeholder; ?>" alt="<?php echo $item->name; ?>" />								
			</a>
		</div>
		<div class="text">
			<a href="<?php //echo JRoute::_(JmgEventOnHelperRoute::getEventRoute($item->id,$item->catid,0)); ?>">
				<h4 class="title"><?php echo $item->name; ?></h4>
			</a>
		</div>
	</div>	
<?php $counter++; ?>	
<?php if (($counter % $cols) == 0): ?>
</div>
<div class="row-fluid">
<?php endif; ?>	
<?php endforeach; ?>
</div>
</div>