<?php
/**
 * @package    Joomla.Site
 * @subpackage Modules JMG Promo Bar
 * @link http://joomega.com
 * @copyright   Copyright (C) 2020 - 2027 Open Source Matters, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */
 
// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

$doc  = JFactory::getDocument();
$doc->addStyleSheet(Juri::base() . 'modules/mod_jmgpromobar/assets/css/mod_jmgpromobar_'.$template.'_'.$direction.'.css');
$style = '.jmg-promobar-body{'
	. 'width: '.$width.'px;'
	. '}'; 
$doc->addStyleDeclaration($style);
?>
<div class="jmg-promobar-wrapper <?php echo $position; ?>">
	<div class="jmg-promobar-button top">
		<a href="#">Button</a>
	</div>
	<div class="jmg-promobar-body">
	<div class="row-fluid">
	<?php $counter = 0; ?>
	<?php foreach ($list as $i => $item) : ?>
		<div class="span12">
			<div class="image">
				<figure>
					<a href="<?php echo ($item->linktype == 1)? JRoute::_('index.php?Itemid='.$item->menuitem, false) : $item->externurl; ?>">
						<img src="<?php echo ($item->image)? JURI::root().$item->image : $placeholder; ?>" alt="<?php echo $item->name; ?>" />
					</a>
					<figcaption>
						<h4 class="title"><?php echo $item->name; ?></h4>							
					</figcaption>
				</figure>
			</div>																																						
		</div>	
	<?php $counter++; ?>	
	<?php if (($counter % $cols) == 0): ?>
	</div>
	<div class="row-fluid">
	<?php endif; ?>	
	<?php endforeach; ?>
	</div>
	</div>
	<div class="jmg-promobar-button bottom">
		<a href="#">Button</a>
	</div>
</div>