<?php
/**
 * @package    Joomla.Site
 * @subpackage Modules JMG EventOn Top Events
 * @link http://joomega.com
 * @copyright   Copyright (C) 2020 - 2027 Open Source Matters, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */
 
// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

//JHtml::_('stylesheet', 'com_jmgeventon/tile/events.css', array('version' => 'auto', 'relative' => true));

$doc  = JFactory::getDocument();
$doc->addStyleSheet(Juri::base() . 'modules/mod_jmgeventon_top_events/assets/css/mod_jmgeventon_top_events_teaser.css');
$style = '.jmg-events-body .teaser{'
	. 'height: '.$height.'px;'
	. '}'; 
$doc->addStyleDeclaration($style);
?>
<div class="jmg-events-body">
<div class="row-fluid">
<?php $counter = 0; ?>
<?php foreach ($list as $i => $item) : ?>
	<div class="span<?php echo 12 / $cols; ?>">
		<div class="teaser">
			<a href="<?php echo JRoute::_(JmgEventOnHelperRoute::getEventRoute($item->id,$item->catid,0)); ?>">
				<h4 class="title"><?php echo $item->name; ?></h4>
			</a>
			<p class="start"><span class="icon-calendar"> </span> <?php echo JHtml::_('date', $item->event_start_time, 'd M H:i'); ?>
			<a href="<?php echo JRoute::_('index.php?option=com_jmgeventon&task=event.ical&eventid='. (int) $item->id); ?>">
			<?php echo JText::_('MOD_JMGEVENTON_TOP_EVENTS_SAVE_TO_CALENDAR'); ?>
			</a>	
			</p>
			<p><span class="icon-location"> </span> <?php echo $item->venue; ?></p>
		</div>
	</div>	
<?php $counter++; ?>	
<?php if (($counter % $cols) == 0): ?>
</div>
<div class="row-fluid">
<?php endif; ?>	
<?php endforeach; ?>
</div>
</div>