<?php
/**
 * @package    Joomla.Site
 * @subpackage Modules JMG Promo Bar
 * @link http://joomega.com
 * @copyright   Copyright (C) 2020 - 2027 Open Source Matters, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */
 
// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );
 
// Include the syndicate functions only once
require_once __DIR__ . '/helper.php';
//require_once(JPATH_SITE.'/components/com_jmgpromobar/helpers/route.php');

$list = modJmgPromoBarHelper::getList($params);
$group = modJmgPromoBarHelper::getGroup($params);
$cols = $params->get('cols',3);
$width = $params->get('width',220);
$height = $params->get('height',220);
$template = $params->get('template','default');
$container = $params->get('container','container');
$position = $params->get('position','bottom');
$tabposition = $params->get('tabposition','center');
$bgcolor = $params->get('bgcolor','#ffffff');
$textcolor = $params->get('textcolor','#000000');
$bgcolortab = $params->get('bgcolortab','#dddddd');
$textcolortab = $params->get('textcolortab','#000000');
$padding = $params->get('padding','10px 20px');
$direction = ($position == 'top' || $position == 'bottom')? 'horizontal' : 'vertical';
$custom = $params->get('custom');

require( JModuleHelper::getLayoutPath( 'mod_jmgpromobar', $template.'_'.$direction, 'default_bottom' ) );
?>